# MCCompObj.h File Reference

## Classes
struct | MCGUID
struct | IMCUnknown
struct | IMCClassFactory
## Defines
#define | MCCOMAPI
#define | MCDEFINE_GUID(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8) extern "C" const MCGUID name
#define | MCDEFINE_GUID2(name, paramlist) extern "C" const MCGUID name
#define | MCDEFINE_GUID_SAFELIB(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8) extern "C" const MCGUID name
#define | MCDEFINE_GUID_SAFELIB2(name, paramlist) extern "C" const MCGUID name
#define | MCDEFINE_GUID_H(name) extern "C" const MCGUID name
#define | MCDEFINE_GUID_CPP(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8) extern "C" const MCGUID name(l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8)
#define | MCDEFINE_GUID_CPP2(name, paramlist) extern "C" const MCGUID name(paramlist)
#define | MCIsEqualIID(riid1, riid2) MCIsEqualGUID((const MCGUID&)riid1, (const MCGUID&)riid2)
#define | MCIsEqualCLSID(rclsid1, rclsid2) MCIsEqualGUID((const MCGUID&)rclsid1, (const MCGUID&)rclsid2)
#define | MC_CLSCTX_INPROC_SERVER 0x1
#define | MCIsEqualGUID(rguid1, rguid2) MCInlineIsEqualGUID(rguid1, rguid2)
## Typedefs
typedef MCErr | MCCOMErr
typedef MCGUID | MCIID
typedef MCGUID | MCCLSID
typedef const MCIID void **typedef | MCErr (MCCOMAPI *MCLPFNCANUNLOADNOW)(void)
## Functions
boolean | MCInlineIsEqualGUID (const MCGUID &rguid1, const MCGUID &rguid2)
typedef | MCErr (MCCOMAPI *MCLPFNGETCLASSOBJECT)(const MCCLSID &

## Define Documentation

#define MC_CLSCTX_INPROC_SERVER 0x1

#define MCCOMAPI

#define MCDEFINE_GUID | ( | name,
|  | l,
|  | w1,
|  | w2,
|  | b1,
|  | b2,
|  | b3,
|  | b4,
|  | b5,
|  | b6,
|  | b7,
|  | b8 |  | ) | extern "C" const MCGUID name

#define MCDEFINE_GUID2 | ( | name,
|  | paramlist |  | ) | extern "C" const MCGUID name

#define MCDEFINE_GUID_CPP | ( | name,
|  | l,
|  | w1,
|  | w2,
|  | b1,
|  | b2,
|  | b3,
|  | b4,
|  | b5,
|  | b6,
|  | b7,
|  | b8 |  | ) | extern "C" const MCGUID name(l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8)

#define MCDEFINE_GUID_CPP2 | ( | name,
|  | paramlist |  | ) | extern "C" const MCGUID name(paramlist)

#define MCDEFINE_GUID_H | ( | name |  | ) | extern "C" const MCGUID name

#define MCDEFINE_GUID_SAFELIB | ( | name,
|  | l,
|  | w1,
|  | w2,
|  | b1,
|  | b2,
|  | b3,
|  | b4,
|  | b5,
|  | b6,
|  | b7,
|  | b8 |  | ) | extern "C" const MCGUID name

#define MCDEFINE_GUID_SAFELIB2 | ( | name,
|  | paramlist |  | ) | extern "C" const MCGUID name

#define MCIsEqualCLSID | ( | rclsid1,
|  | rclsid2 |  | ) | MCIsEqualGUID((const MCGUID&)rclsid1, (const MCGUID&)rclsid2)

#define MCIsEqualGUID | ( | rguid1,
|  | rguid2 |  | ) | MCInlineIsEqualGUID(rguid1, rguid2)

#define MCIsEqualIID | ( | riid1,
|  | riid2 |  | ) | MCIsEqualGUID((const MCGUID&)riid1, (const MCGUID&)riid2)

## Typedef Documentation

typedef MCGUID MCCLSID

typedef MCErr MCCOMErr

typedef const MCIID void** typedef MCErr(MCCOMAPI *MCLPFNCANUNLOADNOW)(void)

typedef MCGUID MCIID

## Function Documentation

typedef MCErr | ( | MCCOMAPI * | MCLPFNGETCLASSOBJECT | ) | const

boolean MCInlineIsEqualGUID | ( | const MCGUID & | rguid1,
|  | const MCGUID & | rguid2 |
| ) |  |  | `[inline]`